## Simple data Simple data |

## Functions

GOData * | go_data_matrix_val_new ()
GOData * | go_data_scalar_str_new ()
void | go_data_scalar_str_set_str ()
GOData * | go_data_scalar_val_new ()
GOData * | go_data_vector_str_new ()
void | go_data_vector_str_set_translate_func ()
void | go_data_vector_str_set_translation_domain ()
GOData * | go_data_vector_val_new ()

## Types and Values

| GODataMatrixVal
| GODataScalarStr
| GODataScalarVal
| GODataVectorStr
| GODataVectorVal

## Object Hierarchy

        GObject
        ╰── GOData
            ├── GODataMatrix
            │   ╰── GODataMatrixVal
            ├── GODataScalar
            │   ├── GODataScalarStr
            │   ╰── GODataScalarVal
            ╰── GODataVector
                ├── GODataVectorStr
                ╰── GODataVectorVal

## Description

## Functions

### go_data_matrix_val_new ()

    GOData *
    go_data_matrix_val_new (double *val,
                            unsigned  rows,
                            unsigned  columns,
                            GDestroyNotify notify);

#### Returns

### go_data_scalar_str_new ()

    GOData *
    go_data_scalar_str_new (char const *text,
                            gboolean needs_free);

#### Returns

### go_data_scalar_str_set_str ()

    void
    go_data_scalar_str_set_str (GODataScalarStr *str,
                                char const *text,
                                gboolean needs_free);

### go_data_scalar_val_new ()

    GOData *
    go_data_scalar_val_new (double val);

#### Returns

### go_data_vector_str_new ()

    GOData *
    go_data_vector_str_new (char const * const *str,
                            unsigned  n,
                            GDestroyNotify notify);

#### Returns

### go_data_vector_str_set_translate_func ()

    void
    go_data_vector_str_set_translate_func (GODataVectorStr *vector,
                                           GOTranslateFunc func,
                                           gpointer data,
                                           GDestroyNotify notify);

Sets a function to be used for translating elements of `vec`

#### Parameters

vector | a GODataVectorStr |
func | a GOTranslateFunc |
data | data to be passed to `func` and `notify` |
notify | a GDestroyNotify function to be called when `vec` is destroyed or when the translation function is changed |

### go_data_vector_str_set_translation_domain ()

    void
    go_data_vector_str_set_translation_domain
                                   (GODataVectorStr *vector,
                                    char const *domain);

Sets the translation domain and uses `dgettext()` for translating the elements of `vec` . Note that libgoffice expects all strings to be encoded in UTF-8, therefore the translation domain must have its codeset set to UTF-8, see `bind_textdomain_codeset()` in the `gettext()` documentation.

If you're not using `gettext()` for localization, see `go_data_vector_str_set_translate_func()`.

#### Parameters

vector | a GODataVectorStr |
domain | the translation domain to use for `dgettext()` calls |

### go_data_vector_val_new ()

    GOData *
    go_data_vector_val_new (double *val,
                            unsigned  n,
                            GDestroyNotify notify);

#### Returns

## Types and Values

### GODataMatrixVal

    typedef struct _GODataMatrixVal GODataMatrixVal;

### GODataScalarStr

    typedef struct _GODataScalarStr GODataScalarStr;

### GODataScalarVal

    typedef struct _GODataScalarVal GODataScalarVal;

### GODataVectorStr

    typedef struct _GODataVectorStr GODataVectorStr;

### GODataVectorVal

    typedef struct _GODataVectorVal GODataVectorVal;